﻿@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;


<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="padding-right:4px;">
            @Html.DevExpress().Label(
                setting =>
                {
                    setting.ControlStyle.CssClass = "Label";
                    setting.Text = "Upload File";
                }).GetHtml()
        </td>
            <td style="padding-right:10px;">
            @Html.DevExpress().UploadControl(
                setting =>
                {
                    setting.Name = "Upload";
                    setting.AddButton.Text= "Browse" ;
                    setting.Width = 250;
                }).GetHtml()
           
        </td>
        <td style="padding-right:4px;"> 
                @Html.DevExpress().Button(
                setting =>
                {
                    setting.Name = "btnUpload";
                    setting.Text = "Upload";
                    setting.Width = 80;
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td></td>
        <td>Download template
            @Html.DevExpress().HyperLink(
            setting =>
            {
                setting.Properties.Text = "here";
                setting.ControlStyle.Font.Underline = true;
            }).GetHtml()
        </td>
    </tr>
  </table>
  <table width="100%" border="0">
    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td align="left" width="83px">
            @Html.DevExpress().Button(
            setting =>
            {
                setting.Name = "btnNew";
                setting.Text = "New";
                setting.ClientSideEvents.Click = "function(s, e){ popupNew.Show(); }";
                setting.Width = 80;
            }
            ).GetHtml()
        </td>
        <td align="left">
            @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "btnDelete";
                        setting.Text = "Delete";
                        setting.ClientSideEvents.Click = "function(s, e){ popupDelete.Show(); }";
                        setting.Width = 80;
                    }
                ).GetHtml()
        </td>
        <td align="right" width="20px">
            @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "btnSubmit";
                        setting.Text = "Submit";
                        setting.ClientSideEvents.Click = "function(s, e){ popupSubmit.Show(); }";
                        setting.Width = 80;
                    }
                ).GetHtml()
        </td>       
    </tr>
</table>